Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class Control.Template

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.primitive.AVA.Template
            |
            +--org.mozilla.jss.pkix.crmf.Control.Template

All Implemented Interfaces:
  ASN1Template

Enclosing class:
  Control

public static class Control.Template
extends AVA.Template
implements ASN1Template

A template class for decoding a Control from a BER stream.

Field Summary
`private SEQUENCE.Template` | `seqTemplate`

Constructor Summary
`Control.Template()`

Method Summary
`ASN1Value` | `decode(java.io.InputStream istream)` Decodes an ASN1Value from the InputStream without an implicit tag.
`ASN1Value` | `decode(Tag implicit, java.io.InputStream istream)` Decodes an ASN1Value from the InputStream with the given implicit tag.

Methods inherited from class org.mozilla.jss.pkix.primitive.AVA.Template
`tagMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Template
`tagMatch`

Field Detail

### seqTemplate

    private SEQUENCE.Template seqTemplate

Constructor Detail

### Control.Template

    public Control.Template()

Method Detail

### decode

    public ASN1Value decode(java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Description copied from interface: `ASN1Template`
  Decodes an ASN1Value from the InputStream without an implicit tag.

  Specified by:
    `decode` in interface `ASN1Template`
  Overrides:
    `decode` in class `AVA.Template`
  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.
    `java.io.IOException`
    `InvalidBERException`

### decode

    public ASN1Value decode(Tag implicit,
                            java.io.InputStream istream)
                     throws java.io.IOException,
                            InvalidBERException

  Description copied from interface: `ASN1Template`
  Decodes an ASN1Value from the InputStream with the given implicit tag.

  Specified by:
    `decode` in interface `ASN1Template`
  Overrides:
    `decode` in class `AVA.Template`
  Parameters:
    `istream` - Must support marking (markSupported() == true). For example, ByteArrayInputStream and BufferedInputStream support marking, but FileInputStream does not. If your source does not support marking, you can wrap it in a BufferedInputStream.
    `java.io.IOException`
    `InvalidBERException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD